test-cloud
latest
false
- 入门指南
- 身份验证
- 作用域和权限
- 平台管理 API
重要 :
新发布内容的本地化可能需要 1-2 周的时间才能完成。

Test Cloud API 指南
上次更新日期 2026年4月7日
创建新的机器人帐户
在指定的组织 ID 中创建新的机器人帐户,并将其分配给指定的组。
API 端点
POST {accessURL}/{organizationName}/identity_/api/RobotAccount
将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:
| Cloud Platform | 访问 URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud 公共部门版 | https://govcloud.uipath.us/ |
| Test Cloud 专用版 | https://{customURL}.dedicated.uipath.com/ |
作用域
需要以下作用域:
- PM.RobotAccount
- PM.RobotAccount.Write
请求标头
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:
要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。
请求正文
请求正文包含要向其添加组的组织 ID,并可选择是否要包含您希望添加其为新组的成员的用户。
{
"partitionGlobalId": "string",
"id": "string",
"name": "string",
"groupIDsToAdd": [
"string", "string"
]
}
{
"partitionGlobalId": "string",
"id": "string",
"name": "string",
"groupIDsToAdd": [
"string", "string"
]
}
响应
201 Successful
系统将在指定的组织中创建自定义组,并提供 ID。
请求示例
假设您收集了构建 API 调用所需的所有信息。
- 您的
{baseURL}为: https://cloud.uipath.com/{organizationName}/identity - 您的
{access_token}为:1234(出于长度考虑)。 {partitionGlobalId}为:3fa85f64-5717-4562-b3fc-2c963f66afa6- 您希望为组命名:
"Gryffindors" - 您想要将用户 Ron、Harry 和 Hermione 添加到组中。这些用户拥有以下用户 ID:
- Ron 用户标识符:
ron-0103 - Harry 用户标识符:
har-3107 - Hermione 用户标识符:
her-1909
- Ron 用户标识符:
调用应类似于以下示例 (cURL):
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Group' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"name": "Roby",
"displayName": "Roby",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"groupIDsToAdd": [
"gryff-01"
],
"groupIDsToRemove": []
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Group' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"name": "Roby",
"displayName": "Roby",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"groupIDsToAdd": [
"gryff-01"
],
"groupIDsToRemove": []
}'
以下是成功调用的响应:
{
"id": "rb-12",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T15:20:29.1302044Z",
"lastLoginTime": null,
"groupIds": ["gryff-01"]
}
{
"id": "rb-12",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T15:20:29.1302044Z",
"lastLoginTime": null,
"groupIds": ["gryff-01"]
}